艾瑞克的 Hexo 空間

[筆記] FreeBSD 9.1 的 pdumpfs +Ruby 1.9 會有問題

本文發表於1589天之前,文章內容可能已經過時,如有疑問,請聯繫作者。

今天繼續搶救因為空調問題結果造成磁碟錯誤的備份用SERVER

昨天重灌 FreeBSD9.1之後,還有一些小工具沒有裝。

然後在安裝 pdumpfs時,雖然沒有發生錯誤,但是要執行卻無法執行

錯誤訊息如下

% pdumpfs /home/turutani /backup/turutani

/usr/local/lib/ruby/1.9/rubygems/custom_require.rb:36:in `require’: cannot load such file – ftools (LoadError)

from /usr/local/lib/ruby/1.9/rubygems/custom_require.rb:36:in `require’

from /usr/local/sbin/pdumpfs:51:in `<main>’
 

GOOGLE到這篇,有人放出 patch ,可是我不會用………(或者應該說用了也沒用)

http://freebsd.1045724.n5.nabble.com/ports-179611-running-sysutils-pdumpfs-fails-with-ruby19-td5820350.html

想到說FreeBSD除了ports之外,還有個pkg_add 的方式可以安裝軟體

所以翻了一下文件,也找到了指令

pkg_add -r pdumpfs
這樣裝的pdumpfs 似乎不是最新1.3.2版,不過也看不出來
[email protected]:/root # pdumpfs -v

pdumpfs 1.3
反正能正常執行就好了,這次應該會把 rsync備份的方式改成pdumpfs來作吧!

avatar
[筆記] pdumpfs 的一些參數用法